Domains
Get a domain
GET /v1/domains/{id} — fetch one domain by id.
GET /v1/domains/{id}
Returns one domain in full. Use List domains if you don't already know the id.
Request
curl https://api.domainee.dev/v1/domains/$DOMAIN_ID \
-H "Authorization: Bearer $DOMAINEE_API_KEY"
Response — 200 OK
{
"id": "8f09b47c-b42f-4d14-8395-2989db76e6f8",
"workspaceId": "cb9e05b7-1bc3-470f-8955-3cd24930d25a",
"hostname": "shop.acme.com",
"originUrl": "https://acme.fly.dev",
"status": "verified",
"mode": "proxy",
"keepHost": false,
"redirectWww": false,
"redirectStatus": 301,
"dnsRecords": [
{
"type": "CNAME",
"name": "shop.acme.com",
"value": "edge.domainee.dev",
"purpose": "Traffic Routing"
}
],
"isResolving": true,
"pointsToEdge": true,
"dnsPointedAt": ["35.165.194.233", "52.39.55.154"],
"monitorStatus": "active_ssl",
"monitorMessage": "Domain is fully active and serving traffic.",
"verifiedAt": "2026-05-05T11:39:19.406Z",
"lastCheckedAt": "2026-05-05T13:10:04.000Z",
"lastMonitoredAt": "2026-05-05T13:10:04.000Z",
"createdAt": "2026-05-05T11:39:12.884Z",
"updatedAt": "2026-05-05T11:39:19.406Z"
}
Errors
| Status | Code | When |
|---|---|---|
404 | not_found | The id doesn't exist or doesn't belong to your workspace |